// --------------------------------------------------------------------------------------- AllGlobal
// This code declares global paths and global variables. 
// This code outputs nothing.
//
// Last Revision: 09/03/2015
//-------------------------------------------------------------------------------------------------------------------------------





// ---------------------------------------------------------------------------------------
	version 12.1
	clear matrix
	set memory 700m
	set matsize 2000 



// ---------------------------------------------------------------------------------------
// Declare paths. 
//
// Default: current directory assumed to be the folder posted online.
// Assumes raw MDRC data is stored in subdirectory MDRC.
// Reflects the fac thtat BGH's relevant ado files are in subdirectory BGH.
// ---------------------------------------------------------------------------------------
	global entry_pwd : pwd
	if "$entry_pwd"=="E:\Dropbox\Kline_Tartari\AER_Code" {
		global rdJF="E:/Dropbox/Kline_Tartari/Data/JF/PUF/StataData"
	}
	else {
		global rdJF	= "$entry_pwd/MDRC"
	}
	global ddJF	= "$entry_pwd/DerivedData"
	global auxd	= "$entry_pwd/DerivedData"
	global doJF	= "$entry_pwd"
	global oJF	= "$entry_pwd/Logs"
	global gJF	= "$entry_pwd/Graphs"
	global bgh	= "$entry_pwd/BGH"	





//--------------------------------------------------------------------------------------
// We use some of the routines created by BGH, we load them here
//--------------------------------------------------------------------------------------
adopath + "$bgh"




//--------------------------------------------------------------------------------------
// Declare as global some lists of variables; the names of these globals are as in BGH
// and so is their content (but for the fact that we specialize $pscorevars to pre RA
// earnings subgroups; this is because {anyernpq7,ernpq7} are degenerate in g0, 
// {anyernpq7} are degenerate in g1).
//--------------------------------------------------------------------------------------
global cpsvars 			"white black hisp marnvr marapt nohsged hsged mthsgrad kidctgt2 agelt25 age2534 agegt34 "
global mdrcvars 		"$cpsvars ernpqa18 adcpqa17 fstpqa17 anyernpqa18 anyadcpqa17 anyfstpqa17 "


global nv = 0
foreach var in $mdrcvars {
	global nv = $nv+1		
}

global pscorevars 		"ernpq8 ernpq6-ernpq1 adcpq7-adcpq1 fstpq7-fstpq1 anyernpq1-anyernpq6 anyernpq8 anyadcpq1-anyadcpq7 anyfstpq1-anyfstpq7 "
global pscorevars 		"$pscorevars yremp prevafdc white black hisp marnvr marapt agelt25 age2534 "
global pscorevars 		"$pscorevars nohsged hsged kidctgt2 applcant"
global pscorevars 		"$pscorevars misshs misskidctgt2 missmar"
global pscorevars_g0 	"$pscorevars"
global pscorevars_g1 	"$pscorevars ernpq7"
global pscorevars 		"$pscorevars ernpq7 anyernpq7" 





