//------------------------------------------------------------------------ MasterFile
// This file contains a call to all the relevant do files.
// The creation of the data set (JF.dta) takes time; once JF.dta exists it does not need to be re-created
// and all Tables and Figures can be generated by running the specific calls which take JF.dta as input.
//
// Last Revision: 09/03/2015
//-------------------------------------------------------------------------------------------------------------------------------





//------------------------------------------------------------------------------------
// Preliminaries:
//	1. declare everything global
//	2. load up programs used in various parts of the code
//	3. set up data set of welfare policy rules for CT in relevant period
//	4. set up data set from MDRC's Public Use Files
//
// Produce the Tables in the Article and Online Appendix. In order:
// 	5. Table 2 (Article) 
//	6. Table 4 (Article) or Table A6 or A8 (Online Appendix)
//	7. Table 6 (Article) or Table A9 (Online Appendix)
//	8. Table A1 (Online Appendix)
//	9. Table A2 (Online Appendix)
//	10. Table A5 (Online Appendix)
//
// Produce the Figures in the Article and Online Appendix. In order:
// 	11. Figure 2 (Article) 
//	12. Figure 3 (Article) 
//	13. Figure 4 (Article) 
//------------------------------------------------------------------------------------
do AllGlobal		 													// 1. 
do LocalPrograms														// 2. 
do GetPolicyRules				"$auxd/PolicyRules.dta"					// 3. 
do GetJFData 					"$rdJF/ctadmrec.dta"  "$ddJF/JF.dta"	// 4. 


do MeanSampleCharacteristics 	"$ddJF/JF.dta"  						// 5.
do DistributionOverStates 		"$ddJF/JF.dta" "$auxd/PolicyRules.dta"	// 6.
do AnticipationTest	 			"$ddJF/JF.dta"							// 7.
do GrantInferredSizekidcount 	"$ddJF/JF.dta" 						    // 8. 
do MeanPostRAOutcomes 			"$ddJF/JF.dta" "$auxd/PolicyRules.dta"	// 9. 
do DistributionOverStates0p 	"$ddJF/JF.dta" "$auxd/PolicyRules.dta"	// 10. 
do NetIncomeAccountingFSTaxes                         					// 11. 
do DistrQEarnings 		    	"$ddJF/JF.dta" "$auxd/PolicyRules.dta"	// 12. 
do CDFQEarnings 		 		"$ddJF/JF.dta" "$auxd/PolicyRules.dta"	// 13. 





